function gadget:GetInfo()
	return {
		name = "COB_Gadgets_MAP.lua",
		desc = "Gadgets that communicate with COB, for Map Demo",
		author = "Argh",
		date = "January 14th, 2007",
		license = "GPL, v. 2",
		layer = 1,
		enabled = true,
	}
end

local GetUnitNeutral = Spring.GetUnitNeutral
local GetUnitTeam = Spring.GetUnitTeam
local Gaia = Spring.GetGaiaTeamID()
local isNeutral, otherTeam

if (gadgetHandler:IsSyncedCode()) then
--////////////////////////////////////////////////////////////////////
--////////////////////////////////////////////////////////////////////
--////////////////////////////////////////////////////////////////////
function CheckBlock(u, ud, team)
	if (Spring.GetUnitTeam(u) == Spring.GetGaiaTeamID()) then return u, ud, team, 1 else return u, ud, team, 0 end
end
gadgetHandler:RegisterGlobal("CheckBlock", CheckBlock)

function CheckNeutral(u, ud, team, targetID)
	Spring.Echo(targetID)
	isNeutral = GetUnitNeutral(targetID)
	otherTeam = GetUnitTeam(targetID)
	if otherTeam ~= Gaia and isNeutral == true then
		return u,ud,team,0
	else
		return u,ud,team,1
	end	
end
gadgetHandler:RegisterGlobal("CheckNeutral", CheckNeutral)
--////////////////////////////////////////////////////////////////////
--////////////////////////////////////////////////////////////////////
--////////////////////////////////////////////////////////////////////
end